#ifndef CMWCOMPIOOUT_H
#define CMWCOMPIOOUT_H

#include "cmwidget.h"

#include <QGridLayout>
#include <QPushButton>
#include "cctrlbuttonid.h"
class CMWCompIOOut : public CMWidget
{
    Q_OBJECT
public:
    explicit CMWCompIOOut(QWidget *parent,int iStartIO,int iEndIO);
public:
    void MInit();
    void MTimeFresh();
    void showEvent(QShowEvent * pEvent);
    void hideEvent(QHideEvent *event);
    QGridLayout* m_pGridLayOut;
    typedef struct _IOCTRL
    {
        int iIOIndex;
        CCtrlButtonID* pButton;
        _IOCTRL()
        {
            pButton=0;
        }
    }IOCTRL;
    QVector<IOCTRL> m_vIO;
signals:

public slots:
    void ButtonClicked(int32_t iID);
};

#endif // CMWCOMPIOOUT_H
